Page MenuHomePhabricator

GUI: modify gui to manage 'db' files
ClosedPublic

Authored by akanad on Nov 18 2018, 6:08 PM.

Details

Reviewers
JackDanielZ
Summary

included patches modify gui to manage 'db' files in gui.

Diff Detail

Branch
arcpatch-D7300
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8377
Build 7577: arc lint + arc unit
akanad requested review of this revision.Nov 18 2018, 6:08 PM
akanad created this revision.
akanad updated this revision to Diff 17416.Nov 18 2018, 6:11 PM
  • config: Add database path list to config
akanad retitled this revision from GUI: remove 'is_ml' key-value to GUI: modify gui to manage 'db' files.Nov 18 2018, 6:12 PM
akanad edited the summary of this revision. (Show Details)
akanad updated this revision to Diff 17418.Nov 18 2018, 7:00 PM
  • gui: Add database list on the explorer panel
JackDanielZ added inline comments.Nov 19 2018, 3:17 AM
src/bin/gui.c
835–836

set to NULL gl and the itc

853–870

Why not inside the switch case?

859

Why don't you want dirs? You want to import DBs one after the other?

966

"units"?

1562

Why do you need this function?

akanad added inline comments.Nov 19 2018, 6:56 PM
src/bin/gui.c
835–836

Yup. I will do that.

853–870

sure. I will do that.

859

DB means a organized data from multiple MLs so that i guess it is enough to handle db file by file for now.
as you said, It would be better to work with no matter file or directory.

1562

this is for showing activated databases.
if user activates database by clicking right button on the database item, then the db will be activated and also user can see what is the activated one.
I will submit another patch related with this soon.

JackDanielZ added inline comments.Nov 19 2018, 11:56 PM
src/bin/gui.c
859

So it means that if you get from somewhere a bunch of DBs, you will have to import them one by one, right?

akanad added inline comments.Nov 21 2018, 11:30 PM
src/bin/gui.c
859

Yes, for now.

akanad updated this revision to Diff 17799.Dec 5 2018, 11:57 PM

another building blocks of this commit have been implemented.

akanad updated this revision to Diff 17827.Dec 6 2018, 9:48 PM

changed variables name

@JackDanielZ ping~ would you please review this ?

Will do soon. Phab was dead so I could not review

JackDanielZ accepted this revision.Dec 14 2018, 2:33 AM
This revision is now accepted and ready to land.Dec 14 2018, 2:33 AM
JackDanielZ closed this revision.Dec 14 2018, 2:34 AM